> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Enrollments



## OpenAPI

````yaml get /comms/outreach-sequences/{sequence_id}/enrollments
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/outreach-sequences/{sequence_id}/enrollments:
    get:
      tags:
        - Outreach Sequences
      summary: List Enrollments
      operationId: list_enrollments_comms_outreach_sequences__sequence_id__enrollments_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: sequence_id
          in: path
          required: true
          schema:
            type: string
            title: Sequence Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 25
            title: Per Page
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/EnrollmentStatus'
              - type: 'null'
            title: Status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_EnrollmentDetail_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EnrollmentStatus:
      type: string
      enum:
        - ACTIVE
        - COMPLETED
        - EXITED
      title: EnrollmentStatus
    Page_EnrollmentDetail_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/EnrollmentDetail'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[EnrollmentDetail]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EnrollmentDetail:
      properties:
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        patientFirstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientfirstname
        patientLastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientlastname
        patientProfilePictureUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientprofilepictureurl
        status:
          $ref: '#/components/schemas/EnrollmentStatus'
        currentStepIndex:
          type: integer
          title: Currentstepindex
        enrolledAt:
          type: string
          format: date-time
          title: Enrolledat
        completedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completedat
        exitReason:
          anyOf:
            - type: string
            - type: 'null'
          title: Exitreason
        sentCount:
          type: integer
          title: Sentcount
          default: 0
        skippedCount:
          type: integer
          title: Skippedcount
          default: 0
        totalSteps:
          type: integer
          title: Totalsteps
          default: 0
      type: object
      required:
        - id
        - patientId
        - status
        - currentStepIndex
        - enrolledAt
      title: EnrollmentDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````